package com.ruoyi.project.intact.his.service.impl;

import java.util.List;

import com.ruoyi.project.intact.his.domain.TIntactHiPump;
import com.ruoyi.project.intact.his.mapper.TIntactHiPumpMapper;
import com.ruoyi.project.intact.his.service.ITIntactHiPumpService;
import com.ruoyi.project.sems.his.domain.TSpechiYlrq;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 设备完整性泵台账历史记录Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-29
 */
@Service
public class TIntactHiPumpServiceImpl implements ITIntactHiPumpService
{
    @Autowired
    private TIntactHiPumpMapper tIntactHiPumpMapper;

    /**
     * 查询设备完整性泵台账历史记录
     *
     * @param id 设备完整性泵台账历史记录ID
     * @return 设备完整性泵台账历史记录
     */
    @Override
    public TIntactHiPump selectTIntactHiPumpById(Long id)
    {
        return tIntactHiPumpMapper.selectTIntactHiPumpById(id);
    }

    /**
     * 查询设备完整性泵台账历史记录列表
     *
     * @param tIntactHiPump 设备完整性泵台账历史记录
     * @return 设备完整性泵台账历史记录
     */
    @Override
    public List<TIntactHiPump> selectTIntactHiPumpList(TIntactHiPump tIntactHiPump)
    {
        return tIntactHiPumpMapper.selectTIntactHiPumpList(tIntactHiPump);
    }

    /**
     * 新增设备完整性泵台账历史记录
     *
     * @param tIntactHiPump 设备完整性泵台账历史记录
     * @return 结果
     */
    @Override
    public int insertTIntactHiPump(TIntactHiPump tIntactHiPump)
    {
        return tIntactHiPumpMapper.insertTIntactHiPump(tIntactHiPump);
    }

    /**
     * 修改设备完整性泵台账历史记录
     *
     * @param tIntactHiPump 设备完整性泵台账历史记录
     * @return 结果
     */
    @Override
    public int updateTIntactHiPump(TIntactHiPump tIntactHiPump)
    {
        return tIntactHiPumpMapper.updateTIntactHiPump(tIntactHiPump);
    }

    @Override
    public List<TIntactHiPump> selectTIntactHiPumpByReform(Long devId) {
        return tIntactHiPumpMapper.selectTIntactHiPumpByReform(devId);
    }

    /**
     * 批量删除设备完整性泵台账历史记录
     *
     * @param ids 需要删除的设备完整性泵台账历史记录ID
     * @return 结果
     */
    @Override
    public int deleteTIntactHiPumpByIds(Long[] ids)
    {
        return tIntactHiPumpMapper.deleteTIntactHiPumpByIds(ids);
    }

    /**
     * 删除设备完整性泵台账历史记录信息
     *
     * @param id 设备完整性泵台账历史记录ID
     * @return 结果
     */
    @Override
    public int deleteTIntactHiPumpById(Long id)
    {
        return tIntactHiPumpMapper.deleteTIntactHiPumpById(id);
    }

    /**
     * 通过devId删除修改记录
     * @param devId
     * @return
     */
    @Override
    public int deleteTIntactHiPumpByDevId(Long devId) {
        return tIntactHiPumpMapper.deleteTIntactHiPumpByDevId(devId);
    }
}
